Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface GammaDistC

All Known Implementing Classes:
  GammaDistCImpl

public interface GammaDistC
extends DoubleDistributionC, DoubleDistributionS

Gamma distribution. A well-known continuous probability distribution returning doubles

Method Summary
`java.lang.Object` | `create$setGenerator$setAlpha$setBeta(Zone aZone, SimpleRandomGenerator simpleGenerator, double alpha, double beta)` Use this create message if the generator to be attached is a Simple one:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setAlpha$setBeta(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double alpha, double beta)` Use this create message if the generator to be attached is a Split one:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator$setAlpha$setBeta

    public java.lang.Object create$setGenerator$setAlpha$setBeta(Zone aZone,
                                                                 SimpleRandomGenerator simpleGenerator,
                                                                 double alpha,
                                                                 double beta)

  Use this create message if the generator to be attached is a Simple one:

### create$setGenerator$setVirtualGenerator$setAlpha$setBeta

    public java.lang.Object create$setGenerator$setVirtualGenerator$setAlpha$setBeta(Zone aZone,
                                                                                     SplitRandomGenerator splitGenerator,
                                                                                     int vGen,
                                                                                     double alpha,
                                                                                     double beta)

  Use this create message if the generator to be attached is a Split one:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD